From 287a20948056b42884b4ee0f5835f1b618ae2ed7 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Mon, 29 Apr 2024 09:46:43 +0200
Subject: [PATCH v0 1/5] Rename regress test generated to generated_stored

This makes naming room to have another test file for virtual generated
columns.
---
 .../regress/expected/{generated.out => generated_stored.out}    | 0
 src/test/regress/parallel_schedule                              | 2 +-
 src/test/regress/sql/{generated.sql => generated_stored.sql}    | 0
 3 files changed, 1 insertion(+), 1 deletion(-)
 rename src/test/regress/expected/{generated.out => generated_stored.out} (100%)
 rename src/test/regress/sql/{generated.sql => generated_stored.sql} (100%)

diff --git a/src/test/regress/expected/generated.out b/src/test/regress/expected/generated_stored.out
similarity index 100%
rename from src/test/regress/expected/generated.out
rename to src/test/regress/expected/generated_stored.out
diff --git a/src/test/regress/parallel_schedule b/src/test/regress/parallel_schedule
index 675c5676171..f345d6b45aa 100644
--- a/src/test/regress/parallel_schedule
+++ b/src/test/regress/parallel_schedule
@@ -66,7 +66,7 @@ test: select_into select_distinct select_distinct_on select_implicit select_havi
 # ----------
 # Another group of parallel tests
 # ----------
-test: brin gin gist spgist privileges init_privs security_label collate matview lock replica_identity rowsecurity object_address tablesample groupingsets drop_operator password identity generated join_hash
+test: brin gin gist spgist privileges init_privs security_label collate matview lock replica_identity rowsecurity object_address tablesample groupingsets drop_operator password identity generated_stored join_hash
 
 # ----------
 # Additional BRIN tests
diff --git a/src/test/regress/sql/generated.sql b/src/test/regress/sql/generated_stored.sql
similarity index 100%
rename from src/test/regress/sql/generated.sql
rename to src/test/regress/sql/generated_stored.sql

base-commit: 5c9f35fc48ea99e59300a267e090e3eafd1b3b0e
-- 
2.44.0

